<script setup lang="ts">
  import { emitsKey, propsKey } from './model';

  const props = inject(propsKey);
  const emits = inject(emitsKey);
</script>
<template>
  <div class="flex items-center gap-3 lg:gap-4">
    <SwTooltip :content="$t('recentlyViewed')" position="topCenter" width="max-width">
      <SwButton
        fab
        :variant="props?.interactionController?.lastSeenBtn?.on ? 'primary' : 'action'"
        :badge="props?.interactionController?.lastSeenBtn?.count"
        @click="emits?.onChange('toggleLastSeenProduct')"
      >
        <template #icon>
          <span class="i-sw-solid:history" />
        </template>
      </SwButton>
    </SwTooltip>

    <SwTooltip :content="$t('wishList')" position="topCenter" width="max-width">
      <SwButton
        fab
        :variant="props?.interactionController?.likelistBtn?.on ? 'primary' : 'action'"
        :badge="props?.interactionController?.likelistBtn?.count"
        @click="emits?.onChange('toggleLikeList')"
      >
        <template #icon>
          <span class="i-sw-solid:heart" />
        </template>
      </SwButton>
    </SwTooltip>

    <SwTooltip :content="$t('cart.cart')" position="topCenter" width="max-width">
      <SwButton
        fab
        :variant="props?.interactionController?.cartBtn?.on ? 'primary' : 'action'"
        :badge="props?.interactionController?.cartBtn?.count"
        @click="emits?.onChange('toggleCart')"
      >
        <template #icon>
          <span class="i-sw-solid:shopping-cart" />
        </template>
      </SwButton>
    </SwTooltip>
  </div>
</template>
